MULOG(1)

NAME

Mulog - Chat Logging Script for Museekd

DESCRIPTION

Mulog is command-line Python script that connects to museekd(1) and saves chat messages into log files. Under the Log Directory, it creates room & private subdirectories and a syslog file. If it loses connection with museekd, it will automatically exit. Setting the interface and password on the command-line is a security risk. Since interface and password settings are saved to the config file when set, you should set them, exit mulog, and restart mulog without the options on the commandline..LP Before running, you will need a working museekd(1) and need to know your museekd interface and interface password. Configure those with musetup(1).

SYNOPSIS
mulog [-c <config-filename> ] [--config <config-filename>] [-i <host:port | /socket.path>] [--interface <host:port | /socket.path> [-p <interface-password>] [--password <inteface-password>] [-l <directory>] [--log <directory>] [-v] [--version] [-h] [--help]

OPTIONS

Mulog accepts the following options:

-c <filename>, --config <filename>
    Use a different config file.

-l <directory>, --log <directory>
    Use a different chat log directory.

-i, --interface <host:port | /socket.path>
    Choose a different interface (saved to config file)

-p, --password <interface-password>
    Choose a different password (saved to config file)

-v, --version
    Display Version and exit.

-h, --help
    Display Help and exit.

EXAMPLE

To run this program the standard way type:

mulog

Alternativly you use a different config file with:

mulog --config mulog.config

To set the interface password:

mulog --password 1234567890

FILES

~/.museekd/mulog.config
    The default location for the mulog config file.

~/.museekd/logs/
    The default log directory.

~/.museekd/logs/syslog
    The museekd error/connection log file.

~/.museekd/logs/room/
    The directory where chat room logs are stored.

~/.museekd/logs/private/
    The directory where private chat logs are stored.

AUTHORS

Hyriand <hyriand@thegraveyard.org>

daelstorm <daelstorm@gmail.com>

SEE ALSO

mucous(1) murmur(1) muscan(1) muscand(1)museekcontrol(1) museekd(1) musetup(1) musetup-gtk(1) museeq(1)